
data {
   
   int<lower=0> n;
   vector[n] y;
   vector[n] y_dense;
   real mu_m;
   real<lower=0> mu_s;
   real<lower=0> sig_p1;
   real<lower=0> sig_p2;
   real<lower=0> w;
   real<lower=-1,upper=1> alpha;
}

parameters 
{
   
real mu;

real<lower=0> sigma;

}

model {
    
mu ~ normal(mu_m,mu_s);
sigma ~ gamma(sig_p1,sig_p2);
for(i in 1:n){

  increment_log_prob(w*(4)/(1-alpha^2)*y_dense[i]^((alpha-1)/2)*((1/(sqrt(2*pi())*sigma))*exp(-0.5*(y[i]-mu)^2/sigma^2))^((1-alpha)/2));
}
}
	
	generated quantities {
 real y_predict;
 y_predict = normal_rng(mu,sigma);

}
