
data {
   
   int<lower=0> n;
   vector[n] y;
   vector[n] y_dense;
   real mu_m;
   real<lower=0> mu_s;
   real<lower=0> sig_p1;
   real<lower=0> sig_p2;
   real<lower=0> w;
   real<lower=0> alpha;
}

parameters 
{
   
real mu;
real<lower=0> sigma;
real<lower =0> df;

}

model {

mu ~ normal(mu_m,mu_s);
sigma ~ gamma(sig_p1,sig_p2);
for(i in 1:n){
  increment_log_prob((1/alpha)*exp(student_t_log(y[i],df,mu,sigma))-(1/(1+alpha))*(1/(df^(alpha/2)*pi()^(alpha/2)*sigma^(alpha)))*(((tgamma((df+1)/2)^(alpha+1))*(tgamma((alpha*df+alpha+df)/2)))/((tgamma((df)/2)^(alpha+1))*(tgamma((alpha*df+alpha+df+1)/2)))));
}
}

generated quantities {
 real y_predict;
 y_predict = student_t_rng(df,mu,sigma);

}
